<?php

require_once __DIR__ . "/../../../classes/PluginsClassiques.class.php";
require_once __DIR__ . "/../../../classes/Client.class.php";
require_once __DIR__ . "/../../../classes/Variable.class.php";

class Patch_1and1 extends PluginsClassiques
{
    
    public function __construct() {
        parent::__construct("patch_1and1");
    }
    
    public function demarrage()
    {
        $action = lireParam("action", "string");
                
        if($action == "connexion")
        {
            $this->connexion(lireParam("email", "string"), lireParam("motdepasse", "string"), lireParam("urlok", "string"), lireParam("urlerr", "string"));
        }
    }
    
    /**
     * 
     * compatibilité pre 1.5.2
     * 
     * @param string $value
     * @return string Retourne la chaîne échappée
     */
    public function escape_string($value) {
        if(get_magic_quotes_gpc()) $value = stripslashes($value);

        return mysql_real_escape_string($value);
    }
    
    /**
     * 
     * compatibilité pre 1.5.2
     * Permet de rediriger vers une page donnée, ou la page par défait en fin d'action...
     * 
     * @param string $urlindiquee
     * @param string $urldefaut
     */
    function redirige_action($urlindiquee, $urldefaut) {
        if ($urlindiquee !== '') {
            // Permettre aux plugins d'empêcher la redirection en indiquant 'false' pour urlok ou urlerr
            if ($urlindiquee !== false) redirige(str_replace("&amp;", "&", $urlindiquee));
        }
        else if ($urldefaut != "")
            redirige($urldefaut);
    }
    
    
    function charger($email, $motdepasse){
        $client = new Client();
        
        $query = sprintf("select * from $client->table where email='%s' and motdepasse=OLD_PASSWORD('%s')", $this->escape_string($email), $this->escape_string($motdepasse));

        $client->getVars($query);
        
        return $client;
    }
    
    // connexion du client
    public function connexion($email,$motdepasse, $urlok="", $urlerr=""){

        $client = new Client();
        $find = false;
        
        if ($client->charger($email, $motdepasse)) {
            $find = true;
        } else {
            $client = $this->charger($email, $motdepasse);
            if($client->id)
            {
                $find = true;
                
                $client->motdepasse = $motdepasse;
                $client->crypter();
                $client->maj();
            }
        }
        
        
        if($find === true)
        {
            $_SESSION['navig']->client = $client;
            $_SESSION['navig']->connecte = 1;

            ActionsModules::instance()->appel_module("apresconnexion", $client);

            if($_SESSION['navig']->urlpageret)
            {
                $this->redirige_action($urlok, $_SESSION['navig']->urlpageret);    
            } else {
                $urlsite = new Variable("urlsite");
                $this->redirige_action($urlok, $urlsite->valeur);
            }
                    
        } else {
            $urlsite = new Variable("urlsite");
            $this->redirige_action($urlerr, $urlsite->valeur ."/?fond=connexion&errconnex=1");
        }
    }
}